Bug 185370 - Review Request: gtklp - A GTK frontend to CUPS
Review Request: gtklp - A GTK frontend to CUPS
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-03-13 19:16 EST by Gérard Milmeister
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-16 14:56:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gérard Milmeister 2006-03-13 19:16:55 EST
Spec: http://math.ifi.unizh.ch/fedora/spec/gtklp.spec
SRPM: http://math.ifi.unizh.ch/fedora/4/i386/SRPMS.gemi/gtklp-1.2.1-1.src.rpm
Description:
GtkLP for CUPS is a frontend for the lpr that comes with CUPS. It is
written to make it easy to use nearly all the options from CUPS
without knowing them by name. For print-admins, there is also an
pretty simple queue tool implemented.
Comment 1 John Mahowald 2006-04-21 01:15:46 EDT
Build failed.

/usr/bin/ld: cannot find -lgnutls
collect2: ld returned 1 exit status
make[2]: *** [gtklp] Error 1
Comment 2 Gérard Milmeister 2006-04-21 04:35:58 EDT
Added buildreq gnutls-devel. Now builds fine.
Package at: http://math.ifi.unizh.ch/fedora/5/i386/SRPMS.gemi/gtklp-1.2.1-2.src.rpm
Comment 3 John Mahowald 2006-05-07 11:46:46 EDT
- rpmlint checks return:
W: gtklp incoherent-version-in-changelog 1.2.1-1 1.2.1-2
Minor, release just doesn't match
E: gtklp incorrect-locale-subdir /usr/share/locale/chs/LC_MESSAGES/gtklp.mo
E: gtklp incorrect-locale-cs /usr/share/locale/cz/LC_MESSAGES/gtklp.mo
E: gtklp incorrect-locale-subdir /usr/share/locale/cht/LC_MESSAGES/gtklp.mo

- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on FC5 (x86_64)
- no missing BR
- no unnecessary BR
- locales handled properly
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- .desktop files

It'd be a good idea to inform the author when this goes through so they can add
it to their distribution list.

APPROVED
Comment 4 Brian Pepple 2006-05-07 11:53:10 EDT
Couple of quick items:

1. Duplicate BuildRequires: openssl-devel (provided by cups-devel)
2. Requires for cups shouldn't be needed, since the devel packages soname should
pull this in.
Comment 5 Gérard Milmeister 2006-05-07 13:59:06 EDT
(In reply to comment #3)
> E: gtklp incorrect-locale-cs /usr/share/locale/cz/LC_MESSAGES/gtklp.mo
This should be in facte cs instead of cz.

> E: gtklp incorrect-locale-subdir /usr/share/locale/chs/LC_MESSAGES/gtklp.mo
> E: gtklp incorrect-locale-subdir /usr/share/locale/cht/LC_MESSAGES/gtklp.mo
These seem to be Chinese locales.

I suggest removing these three, and notifying upstream about it.

(In reply to comment #4)
> Couple of quick items:
> 
> 1. Duplicate BuildRequires: openssl-devel (provided by cups-devel)
OK

> 2. Requires for cups shouldn't be needed, since the devel packages soname should
> pull this in.
This only pulls the cups libraries in. However gtklp doesn't make sense
without the printing system itself.

Comment 6 Gérard Milmeister 2006-05-15 19:39:05 EDT
Is this still APPROVED, and should I go ahead with modifications
I suggested?
Comment 7 John Mahowald 2006-05-16 10:50:33 EDT
(In reply to comment #6)
> Is this still APPROVED, and should I go ahead with modifications
> I suggested?

Still approved. Go ahead with the locale fix, you can get further review before
on  it before  building if you wish.
Comment 8 Gérard Milmeister 2006-05-16 14:56:39 EDT
Built on FC-4, FC-5 and FC-6.
Added entry to owners.list.

Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.